Skip to main content
`Ctrl`+`K`

# PCHMGSetReuseInterpolation

Reuse the interpolation matrices in `PCHMG` after changing the matrices numerical values

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCHMGSetReuseInterpolation(PC pc, PetscBool reuse)

Logically Collective

## Input Parameters

- pc - the `PCHMG` context

- reuse - `PETSC_TRUE` indicates that `PCHMG` will reuse the interpolations

## Options Database Key

- -pc_hmg_reuse_interpolation (true|false) - Whether or not to reuse the interpolations. If true, it potentially save the compute time.

## Note

This decreases the set up time of the `PC` significantly but may slow the convergence of the iterative method, `KSP`, that is using the `PCHMG`

## See Also

KSP: Linear System Solvers, `PCHMG`, `PCGAMG`, `PCHMGSetUseSubspaceCoarsening()`, `PCHMGSetCoarseningComponent()`, `PCHMGSetInnerPCType()`

## Level

beginner

## Location

src/ksp/pc/impls/hmg/hmg.c

## Examples

src/ksp/ksp/tutorials/ex4.c

## Implementations

PCHMGSetReuseInterpolation_HMG() in src/ksp/pc/impls/hmg/hmg.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages